Get lecturer
Returns the full record of a specific lecturer, identified by their profile ID.
Path Parameters
- Type: stringprofile
_id requiredUnique identifier of the profile.
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/lecturers/lecturers/{profile_id}
curl https://ff-business-school.fullfabric.cloud/apis/lecturers/lecturers/507f1f77bcf86cd799439011 \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385baad976a771912000894",
"first_name": "Oliver",
"last_name": "Fischer",
"full_name": "Oliver Fischer",
"email": "o.fischer@ff-business-school.edu",
"profile_id": "6385baad976a771912000894",
"units": [
{
"id": "6385baad976a7719120008e3",
"name": "Corporate Finance",
"custom_name": "April 2025",
"code": "CF101"
}
],
"fees": 2500,
"fees_currency": "EUR",
"fees_payment_method": "bank_transfer"
}